petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscObjectReference

Indicates to any PetscObject that it is being referenced by another PetscObject. This increases the reference count for that object by one.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectReference(PetscObject obj)

Logically Collective on PetscObject Many br

### Input Parameter

obj -the PETSc object. This must be cast with (PetscObject), for example, Many brPetscObjectReference((PetscObject)mat); Many br

Many br

### See Also

PetscObjectCompose(), PetscObjectDereference()

Level:advanced
Location:src/sys/objects/inherit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex42.c.html